variables:
  DEFAULT_IMAGE          : ${CI_DEPENDENCY_PROXY_GROUP_IMAGE_PREFIX}/node:lts-alpine3.20

include:
  - local: "gitlab-ci/CI-*.yml"
    rules:
      - if: $CI_COMMIT_TAG == null
stages:
  # - test
  - base
  - build
  - deploy


.tags:
  tags:
    # - th6-docker
    # - th6-gitlabrunner
    - docker
.base:
  stage: base  
  extends: 
    - .tags

.build:
  stage: build  
  extends: 
    - .tags

.deploy:
  stage: deploy  
  extends: 
    - .tags
